
#property copyright "*"
#property link      "*"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red

#property indicator_maximum 30
#property indicator_minimum -30

//---- input parameters
extern double k1=1.0;
extern double k2=3.0;
extern double k3=6.0;
extern double k4=24.0;

extern int Pr=0;

//---- buffers

double A1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,A1);
   
   SetIndexLabel(0,"GMA Quadro SUM");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){
  double m;
  double c,p;
   int limit=Bars-IndicatorCounted();
      for(int i=limit-1;i>=0;i--){
         A1[i]=IndVal(k4,i)+IndVal(k3,i)+IndVal(k2,i)+IndVal(k1,i);         
      }
   return(0);
  }
//+------------------------------------------------------------------+

double IndVal(double Koef,int Ind){
   double c=0;
   double m=0;
      m=iMACD(NULL,0,Koef*3,Koef*30,9,Pr,MODE_MAIN,Ind);
         if(m>0)c++;
         if(m<0)c--;         
      m=iMACD(NULL,0,Koef*5,Koef*35,9,Pr,MODE_MAIN,Ind);
         if(m>0)c++;
         if(m<0)c--;                    
      m=iMACD(NULL,0,Koef*8,Koef*40,9,Pr,MODE_MAIN,Ind);
         if(m>0)c++;
         if(m<0)c--;          
      m=iMACD(NULL,0,Koef*10,Koef*45,9,Pr,MODE_MAIN,Ind);
         if(m>0)c++;
         if(m<0)c--;   
      m=iMACD(NULL,0,Koef*12,Koef*50,9,Pr,MODE_MAIN,Ind);
         if(m>0)c++;
         if(m<0)c--;
      m=iMACD(NULL,0,Koef*15,Koef*60,9,Pr,MODE_MAIN,Ind);
         if(m>0)c++;
         if(m<0)c--;
   return(c);
}